Skip to main content
GET
Options Volume

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

limit
integer
default:1

How many items to return. Default: 1. Max: 500. Min: 1.

Required range: 1 <= x <= 500
Example:

10

Response

avg_30_day_call_volume
string

Avg 30 day call volume.

Example:

"679430.000000000000"

avg_30_day_put_volume
string

Avg 30 day put volume.

Example:

"401961.285714285714"

avg_3_day_call_volume
string

Avg 3 day call volume.

Example:

"606258.533333333333"

avg_3_day_put_volume
string

Avg 3 day put volume.

Example:

"436126.833333333333"

avg_7_day_call_volume
string

Avg 7 day call volume.

Example:

"679145.333333333333"

avg_7_day_put_volume
string

Avg 7 day put volume.

Example:

"388676.000000000000"

bearish_premium
string

The bearish premium is defined as (call premium bid side) + (put premium ask side).

Example:

"143198625"

bullish_premium
string

The bullish premium is defined as (call premium ask side) + (put premium bid side).

Example:

"196261414"

call_open_interest
integer

The sum of open interest of all the call options.

Example:

3975333

call_premium
string

The sum of the premium of all the call transactions that executed.

Example:

"9908777.0"

call_volume
integer

The sum of the size of all the call transactions that executed.

Example:

990943

call_volume_ask_side
integer

The sum of the size of all the call transactions that executed on the ask side.

Example:

417251

call_volume_bid_side
integer

The sum of the size of all the call transactions that executed on the bid side.

Example:

498271

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

net_call_premium
string

Defined as (call premium ask side) - (call premium bid side).

Example:

"-29138464"

net_put_premium
string

Defined as (put premium ask side) - (put premium bid side).

Example:

"23924325"

put_open_interest
integer

The sum of the open interest of all the put options.

Example:

3564153

put_premium
string

The sum of the premium of all the put transactions that executed.

Example:

"163537151"

put_volume
integer

The sum of the size of all the put transactions that executed.

Example:

808326

put_volume_ask_side
integer

The sum of the size of all the put transactions that executed on the ask side.

Example:

431791

put_volume_bid_side
integer

The sum of the size of all the put transactions that executed on the bid side.

Example:

314160

Last modified on September 29, 2026